Bug 825862 - UnboundLocalError: local variable 'device' referenced before assignment
UnboundLocalError: local variable 'device' referenced before assignment
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 14:57 EDT by chandrasekhar
Modified: 2012-05-30 15:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 10:46:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chandrasekhar 2012-05-28 14:57:06 EDT
Description of problem: Error During Installation


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
anaconda 13.21.82 exception report
 Traceback  (most recent call first):
   File "/usr/lib/anaconda/kickstart.py" , line 615, in execute
       anaconda.id.network.setDNS(self.nameserver,device)
   File "/usr/lib/anaconda/kickstart.py", line 1149, in execute
        obj.execute(self.anaconda)
    File "/usr/bin/anaconda", line 1102, in <module>
  
  ksdata.execute()
  
  UnboundLocalError: local variable 'device' referenced before assignment

Expected results:


Additional info:
Comment 2 Radek Vykydal 2012-05-29 01:29:44 EDT
This issue should be fixed in RHEL 6.2 (bug #681803 and related). If you are still hitting the problem in the 6.2 release, feel free to reopen the bug.
Comment 3 chandrasekhar 2012-05-29 01:58:58 EDT
(In reply to comment #2)
> This issue should be fixed in RHEL 6.2 (bug #681803 and related). If you are
> still hitting the problem in the 6.2 release, feel free to reopen the bug.

How to debug this error during installation......
Comment 4 Chris Lumens 2012-05-29 10:46:42 EDT
You either need to use RHEL 6.2 or work on your own patch and use an updates.img to fix it.  Bugzilla is not a support tool.

Note You need to log in before you can comment on or make changes to this bug.